import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { ConsolidatedItemsPosition } from "./ConsolidatedItemsPosition";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { Pool$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { List$1 } from "igniteui-angular-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ColumnSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bk(): Series;
    protected get_e1(): boolean;
    protected get_fm(): boolean;
    protected jn(): number;
    protected ct(): SeriesView;
    ac8: ColumnSeriesView;
    q7(a: SeriesView): void;
    cz(): SeriesVisibleRangeMode;
    protected ze(): CategoryTransitionInMode;
    constructor();
    adc: number;
    add: number;
    protected get_ef(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    private ade;
    wx(a: Point): Rect;
    gx(a: Point, b: boolean): boolean;
    pb(a: boolean, b: SeriesView): void;
    iy(): number;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    aax(a: CategoryFrame, b: CategorySeriesView): void;
    private ac9;
    get ada(): ConsolidatedItemsPosition;
    set ada(a: ConsolidatedItemsPosition);
    private adb;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ColumnSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    a4(): void;
    protected dt: ColumnSeries;
    constructor(a: ColumnSeries);
    d1(): Rectangle;
    protected dv: List$1<Rectangle>;
    dw(a: Rectangle): void;
    dy(a: Rectangle): void;
    dx(a: Rectangle): void;
    dz(a: Rectangle, b: number, c: number): void;
    protected ak(a: number): any;
    private d0;
    protected aj(a: number): any;
    protected bj(a: RenderingContext, b: boolean): void;
    du: Pool$1<Rectangle>;
    ax(a: any): void;
}
